Bug 864162 - scotch is miss-packaged wrt mpi guidelines
scotch is miss-packaged wrt mpi guidelines
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: scotch (Show other bugs)
19
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 14:31 EDT by Erik Zeek
Modified: 2014-08-08 10:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-08 10:53:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed spec file (8.70 KB, text/x-rpm-spec)
2012-10-08 14:47 EDT, Erik Zeek
no flags Details
Static makefile (501 bytes, application/octet-stream)
2012-10-08 14:48 EDT, Erik Zeek
no flags Details
Shared makefile (538 bytes, application/octet-stream)
2012-10-08 14:49 EDT, Erik Zeek
no flags Details
New spec file (8.70 KB, text/plain)
2013-07-04 08:38 EDT, Erik Zeek
no flags Details

  None (edit)
Description Erik Zeek 2012-10-08 14:31:25 EDT
According to the MPI packaging guidelines here:
http://fedoraproject.org/wiki/Packaging:MPI#Packaging_of_MPI_software

There should:

1) be support for more than one MPI compiler.  (Only Mpich2 is currently supported.)

2) be a separate package for the MPI libraries and executables and serial versions.  (The package installs the MPI libraries and executables on standard paths with no decoration.)
Comment 1 Erik Zeek 2012-10-08 14:47:18 EDT
Created attachment 623652 [details]
Proposed spec file
Comment 2 Erik Zeek 2012-10-08 14:48:25 EDT
Created attachment 623653 [details]
Static makefile
Comment 3 Erik Zeek 2012-10-08 14:49:02 EDT
Created attachment 623654 [details]
Shared makefile
Comment 4 laurence.mcglashan 2013-06-17 07:13:50 EDT
Is there a plan to implement the new spec file? I'm willing to do the extra work.
Comment 5 Dominik 'Rathann' Mierzejewski 2013-07-03 16:48:47 EDT
Erik, Laurence, if you're a Fedora packager already, please apply for co-maintainership of this package in pkgdb: https://admin.fedoraproject.org/pkgdb/acls/name/scotch

I'm also interested in getting this bug fixed because a package I maintain (freefem++) grew a dependency on scotch recently.
Comment 6 Fedora End Of Life 2013-07-03 17:47:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Erik Zeek 2013-07-03 23:26:36 EDT
Sorry, I don't have time to become a maintainer.  I only use Fedora at work (I actually prefer Gentoo ;-), but the problem is still there.  I've bumped the version to 19.
Comment 8 laurence.mcglashan 2013-07-04 04:30:02 EDT
I'm not a packager unfortunately. I am willing to do it but I need a sponsor. I am interested in packaging the fish shell:

https://bugzilla.redhat.com/show_bug.cgi?id=974852

In any case I can test the new scotch .spec file for you. I can look at it at the weekend.
Comment 9 Erik Zeek 2013-07-04 08:38:24 EDT
Created attachment 768768 [details]
New spec file

I've updated the scotch version in my spec file.  I've only tested building the rpms with this one, but it was only a small bump in the version number.
Comment 10 laurence.mcglashan 2013-07-20 17:37:21 EDT
I have a question:

Should scotch actually be split into two separate packages, scotch and ptscotch? ptscotch would have a dependency on scotch. It would look like:

scotch
scotch-devel
scotch-static

ptscotch-common (contains man pages and docs)
ptscotch-openmpi
ptscotch-openmpi-devel
ptscotch-openmpi-static
ptscotch-mpich2
ptscotch-mpich2-devel
ptscotch-mpich2-static
Comment 11 laurence.mcglashan 2013-07-20 17:46:18 EDT
And also a ptscotch-devel package containing the header files.
Comment 12 Deji Akingunola 2014-02-27 09:37:25 EST
(In reply to Erik Zeek from comment #9)
> Created attachment 768768 [details]
> New spec file
> 
> I've updated the scotch version in my spec file.  I've only tested building
> the rpms with this one, but it was only a small bump in the version number.

I am sincerely sorry for neglecting this bug, I will rather not bother you with excuses on why I have not been able to respond to bug for so long.
I very much appreciates Erik Zeek work on the spec (and Laurence contributions also), thank you. I have finally committed the new spec with few changes (Comment #10).

Erik,
Do you have any particular reasons for creating the *-static sub-packages? I am inclined to dropping them.

I am considering making further changes in packaging the static libraries only within the main scotch package and making the ptscotch sub-packages dependent on it.
Comment 13 Erik Zeek 2014-02-27 11:40:59 EST
(In reply to Deji Akingunola from comment #12)
> (In reply to Erik Zeek from comment #9)
> > Created attachment 768768 [details]
> > New spec file
> > 
> > I've updated the scotch version in my spec file.  I've only tested building
> > the rpms with this one, but it was only a small bump in the version number.
> 
> I am sincerely sorry for neglecting this bug, I will rather not bother you
> with excuses on why I have not been able to respond to bug for so long.
> I very much appreciates Erik Zeek work on the spec (and Laurence
> contributions also), thank you. I have finally committed the new spec with
> few changes (Comment #10).

No need to apologize.

> Erik,
> Do you have any particular reasons for creating the *-static sub-packages? I
> am inclined to dropping them.

I had no reason for them.  The package I based the changes on (I forget which) had it.  I don't need the static libraries.

> I am considering making further changes in packaging the static libraries
> only within the main scotch package and making the ptscotch sub-packages
> dependent on it.

I have no objections to any changes you want to make.  I just preferred openmpi and it wasn't supported.

Erik
Comment 14 Fedora Admin XMLRPC Client 2014-07-26 13:09:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora Admin XMLRPC Client 2014-07-26 14:03:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Sandro Mani 2014-08-08 10:53:57 EDT
Closing since this was fixed some time ago.

Note You need to log in before you can comment on or make changes to this bug.